Bug 1121402 - Review Request: t-digest
Summary: Review Request: t-digest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1138312 (view as bug list)
Depends On:
Blocks: Elasticsearch
TreeView+ depends on / blocked
 
Reported: 2014-07-20 12:59 UTC by jiri vanek
Modified: 2014-09-04 13:34 UTC (History)
3 users (show)

Fixed In Version: t-digest-3.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 14:30:27 UTC
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description jiri vanek 2014-07-20 12:59:34 UTC
Spec URL: http://jvanek.fedorapeople.org/t-digets/1/t-digest.spec
SRPM URL: http://jvanek.fedorapeople.org/t-digets/1/t-digest-3.0-1.fc20.src.rpm
Description:  A new data structure for accurate on-line accumulation of rank-based statistics such as quantiles and trimmed means
Fedora Account System Username: jvanek

rpms: http://jvanek.fedorapeople.org/t-digets/1/noarch/

This is build requirment for elastic search. As there is still hope to pack elastick seacrh into f21, please count with it

Comment 1 jiri vanek 2014-07-31 08:18:18 UTC
Fixed description lenghts to 80 chars

Spec URL: http://jvanek.fedorapeople.org/t-digets/2/t-digest.spec
SRPM URL: http://jvanek.fedorapeople.org/t-digets/2/t-digest-3.0-1.fc20.src.rpm
Description:  A new data structure for accurate on-line accumulation of rank-based statistics such as quantiles and trimmed means
Fedora Account System Username: jvanek

rpms: http://jvanek.fedorapeople.org/t-digets/2/noarch/

Comment 2 Mikolaj Izdebski 2014-07-31 11:41:46 UTC
Package Review
==============

Key:
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[!] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

Inorrect license tag, should be: ASL v2.0

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------

t-digest.noarch: W: spelling-error %description -l en_US quantiles -> quarantines, antiquates, Antilles
t-digest.noarch: E: description-line-too-long C such as quantiles and trimmed means. The t-digest algorithm is also very parallel
t-digest.noarch: W: invalid-license APL-2
t-digest.src: W: spelling-error %description -l en_US quantiles -> quarantines, antiquates, Antilles
t-digest.src: E: description-line-too-long C such as quantiles and trimmed means. The t-digest algorithm is also very parallel
t-digest.src: W: invalid-license APL-2
t-digest.src: W: strange-permission t-digest-3.0.tar.gz 0640L
t-digest.src: W: file-size-mismatch t-digest-3.0.tar.gz = 3285098, https://github.com/tdunning/t-digest/archive/t-digest-3.0.tar.gz = 3282914
t-digest-javadoc.noarch: W: invalid-license APL-2
3 packages and 0 specfiles checked; 2 errors, 7 warnings.


Other issues
------------

Description must have lines limited to 80 characters.

Comment 3 Mikolaj Izdebski 2014-07-31 11:44:36 UTC
(In reply to Mikolaj Izdebski from comment #2)
> Inorrect license tag, should be: ASL v2.0

Correction, it should be ASL 2.0

Comment 4 jiri vanek 2014-07-31 12:14:49 UTC

Spec URL: http://jvanek.fedorapeople.org/t-digets/3/t-digest.spec
SRPM URL: http://jvanek.fedorapeople.org/t-digets/3/t-digest-3.0-1.fc20.src.rpm
Description:  A new data structure for accurate on-line accumulation of rank-based statistics such as quantiles and trimmed means
Fedora Account System Username: jvanek

rpms: http://jvanek.fedorapeople.org/t-digets/3/noarch/

--- /home/jvanek/rpmbuild/SPECS/old
+++ /home/jvanek/rpmbuild/SPECS/t-digest.spec
@@ -1,10 +1,12 @@
+%global url     https://github.com/tdunning/%{name}
+
 Name:           t-digest
 Version:        3.0
 Release:        1%{?dist}
 Summary:        A new data structure for on-line accumulation of statistics
-License:        APL-2
-URL:            https://github.com/tdunning/%{name}/
-Source0:        https://github.com/tdunning/%{name}/archive/%{name}-%{version}.tar.gz
+License:        ASL 2.0
+URL:            %{url}
+Source0:        %{url}/archive/%{name}-%{version}.tar.gz
 BuildArch:      noarch
 
 BuildRequires:  maven-local
@@ -13,7 +15,7 @@
 
 %description
 A new data structure for accurate on-line accumulation of rank-based statistics
-such as quantiles and trimmed means. The t-digest algorithm is also very parallel
+eg. quantiles and trimmed means. The t-digest algorithm is also very parallel
 friendly making it useful in map-reduce and parallel streaming applications.
 
 %package        javadoc

Comment 5 Mikolaj Izdebski 2014-07-31 12:57:15 UTC
Package approved.

Comment 6 jiri vanek 2014-07-31 13:13:08 UTC
New Package SCM Request
=======================
Package Name: t-digest
Short Description: A new data structure for on-line accumulation of statistics
Upstream URL: https://github.com/tdunning/t-digest
Owners: jvanek
Branches: f20 f21
InitialCC: volker27@gmx.at bjoern.esser@gmail.com pbrobinson@gmail.com lzap@redhat.com joergprante@gmx.de

Comment 7 jiri vanek 2014-07-31 13:17:22 UTC
New Package SCM Request
=======================
Package Name: t-digest
Short Description: A new data structure for on-line accumulation of statistics
Upstream URL: https://github.com/tdunning/t-digest
Owners: jvanek
Branches: f20 f21

Comment 8 Gwyn Ciesla 2014-07-31 13:34:10 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-07-31 14:30:50 UTC
t-digest-3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/t-digest-3.0-1.fc20

Comment 11 Fedora Update System 2014-08-15 02:54:18 UTC
t-digest-3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 jiri vanek 2014-09-04 13:34:39 UTC
*** Bug 1138312 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.